Subject: Draft: Framework for Service Definition Using CR-LDP

From: "Osama Aboul-Magd" <[email-masked]>
Date: Fri, 22 Oct 1999 08:36:19 -0500

I submitted the draft: draft-aboulmagd-srvc-def-crldp-00.txt

Abstract

Label-distribution protocol (LDP) is defined in [1] for the distribution of
labels inside one MPLS domain. CR-LDP is defined in [2] to work in
conjunction with the LDP for establishing label switched paths with
prescribed QoS requirements. The establishment of those paths is called
constraint-based routing (CR) and it offers the opportunity to extend the
information used to setup paths beyond what is available for the routing
protocol.

To facilitate the establishment of CR paths, the CR-LDP specification
include the essential entries (TLVs) to allow the characterization of the
traffic requirements and service expectations. The objectives of this draft
are to establish a general framework for service definition using the
mechanisms specified in [2] and to illustrate how service interworking could
be achieved between an MPLS domain using CR-LDP and other domains that might
employ similar or different networking technologies.